You are not logged in.

#1 2020-01-14 09:23:45

doragasu
Member
Registered: 2012-03-03
Posts: 138

[FIXED] gnuradio-companion does not start

I have just intalled gnuradio-companion along with gnuradio-osmosdr. Unfortunately, gnuradio-companion does not start, it throws a python exception related to gtk:

jalon ~ $ gnuradio-companion 
Traceback (most recent call last):
  File "/usr/bin/gnuradio-companion", line 59, in check_gtk
    gi.require_version('Gtk', '3.0')
AttributeError: module 'gi' has no attribute 'require_version'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnuradio-companion", line 100, in <module>
    check_gtk()
  File "/usr/bin/gnuradio-companion", line 67, in check_gtk
    die(err, "Failed to initialize GTK. If you are running over ssh, "
  File "/usr/bin/gnuradio-companion", line 41, in die
    gi.require_version('Gtk', '3.0')
AttributeError: module 'gi' has no attribute 'require_version'

I have installed both gtk2, gtk3 and pygtk, and of course all of the gnuradio-companion dependencies.

Any suggestions? Should I file a bug report?

Last edited by doragasu (2020-01-15 13:46:21)

Offline

#2 2020-01-15 13:46:00

doragasu
Member
Registered: 2012-03-03
Posts: 138

Re: [FIXED] gnuradio-companion does not start

Today I checked again, and now it starts without changing anything O_oU

Offline

#3 2020-01-15 20:12:43

Potomac
Member
Registered: 2011-12-25
Posts: 498

Re: [FIXED] gnuradio-companion does not start

Perhaps it was due to a cache problem, sometimes you need to restart your session or your machine after a package update.

Last edited by Potomac (2020-01-15 20:13:57)

Offline

Board footer

Powered by FluxBB